Package io.dapr.exceptions

# Enum DaprErrorDetails.ErrorDetailType

java.lang.Object
java.lang.Enum<DaprErrorDetails.ErrorDetailType>
io.dapr.exceptions.DaprErrorDetails.ErrorDetailType

All Implemented Interfaces:
  `Serializable`, `Comparable<DaprErrorDetails.ErrorDetailType>`

Enclosing class:
  DaprErrorDetails

public static enum DaprErrorDetails.ErrorDetailType extends Enum<DaprErrorDetails.ErrorDetailType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAD_REQUEST`
`DEBUG_INFO`
`ERROR_INFO`
`HELP`
`LOCALIZED_MESSAGE`
`PRECONDITION_FAILURE`
`QUOTA_FAILURE`
`REQUEST_INFO`
`RESOURCE_INFO`
`RETRY_INFO`

## Method Summary

Modifier and Type
Method
Description
`static DaprErrorDetails.ErrorDetailType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprErrorDetails.ErrorDetailType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERROR_INFO

public static final DaprErrorDetails.ErrorDetailType ERROR_INFO

### RETRY_INFO

public static final DaprErrorDetails.ErrorDetailType RETRY_INFO

### DEBUG_INFO

public static final DaprErrorDetails.ErrorDetailType DEBUG_INFO

### QUOTA_FAILURE

public static final DaprErrorDetails.ErrorDetailType QUOTA_FAILURE

### PRECONDITION_FAILURE

public static final DaprErrorDetails.ErrorDetailType PRECONDITION_FAILURE

### BAD_REQUEST

public static final DaprErrorDetails.ErrorDetailType BAD_REQUEST

### REQUEST_INFO

public static final DaprErrorDetails.ErrorDetailType REQUEST_INFO

### RESOURCE_INFO

public static final DaprErrorDetails.ErrorDetailType RESOURCE_INFO

### HELP

public static final DaprErrorDetails.ErrorDetailType HELP

### LOCALIZED_MESSAGE

public static final DaprErrorDetails.ErrorDetailType LOCALIZED_MESSAGE

## Method Details

### values

public static DaprErrorDetails.ErrorDetailType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DaprErrorDetails.ErrorDetailType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null